Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.s3.model
Class S3ObjectSummary

    java.lang.Object
      com.amazonaws.services.s3.model.S3ObjectSummary

    public class S3ObjectSummary

extends Object

Summary of an object stored in an Amazon S3 bucket. Doesn't contain the object's full metadata or any of the contents.

Constructor Summary
`S3ObjectSummary()`

Method Summary
`String` | `getBucketName()` Returns the name of the Amazon S3 bucket in which this object is stored.
`String` | `getETag()` Returns the hex encoded 128 bit MD5 hash of this object's contents, as computed by Amazon S3.
`String` | `getKey()` Returns the key under which this object is stored in Amazon S3.
`Date` | `getLastModified()` Returns the date, according to Amazon S3, at which this object was last modified.
`Owner` | `getOwner()` Returns the owner of this object, or null if the requester doesn't have `Permission.ReadAcp` permission for this object (or own the bucket in which it resides) and therefore doesn't have permission to see object ownership.
`long` | `getSize()` Returns the size of this object, in bytes.
`String` | `getStorageClass()` Returns the type of storage used by Amazon S3 for this object.
`void` | `setBucketName(String bucketName)` Sets the name of the Amazon S3 bucket in which this object is stored.
`void` | `setETag(String eTag)` Sets the hex encoded 128 bit MD5 hash of this object's contents, as computed by Amazon S3.
`void` | `setKey(String key)` Sets the key under which this object is stored in Amazon S3.
`void` | `setLastModified(Date lastModified)` Sets the date, according to Amazon S3, at which this object was last modified.
`void` | `setOwner(Owner owner)` Sets the owner of this object.
`void` | `setSize(long size)` Sets the size of this object, in bytes.
`void` | `setStorageClass(String storageClass)` Sets the type of storage used by Amazon S3 for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S3ObjectSummary

    public S3ObjectSummary()

Method Detail

### getBucketName

    public String getBucketName()

  Returns the name of the Amazon S3 bucket in which this object is stored.

  Returns:
    The name of the Amazon S3 bucket in which this object is stored.

### setBucketName

    public void setBucketName(String bucketName)

  Sets the name of the Amazon S3 bucket in which this object is stored.

  Parameters:
    `bucketName` - The name of the Amazon S3 bucket in which this object is stored.

### getKey

    public String getKey()

  Returns the key under which this object is stored in Amazon S3.

  Returns:
    The key under which this object is stored in Amazon S3.

### setKey

    public void setKey(String key)

  Sets the key under which this object is stored in Amazon S3.

  Parameters:
    `key` - The key under which this object is stored in Amazon S3.

### getETag

    public String getETag()

  Returns the hex encoded 128 bit MD5 hash of this object's contents, as computed by Amazon S3.

  Returns:
    The hex encoded 128 bit MD5 hash of this object's contents, as computed by Amazon S3.

### setETag

    public void setETag(String eTag)

  Sets the hex encoded 128 bit MD5 hash of this object's contents, as computed by Amazon S3.

  Parameters:
    `eTag` - The hex encoded 128 bit MD5 hash of this object's contents, as computed by Amazon S3.

### getSize

    public long getSize()

  Returns the size of this object, in bytes.

  Returns:
    The size of this object, in bytes.

### setSize

    public void setSize(long size)

  Sets the size of this object, in bytes.

  Parameters:
    `size` - The size of this object, in bytes.

### getLastModified

    public Date getLastModified()

  Returns the date, according to Amazon S3, at which this object was last modified.

  Returns:
    The date, according to Amazon S3, at which this object was last modified.

### setLastModified

    public void setLastModified(Date lastModified)

  Sets the date, according to Amazon S3, at which this object was last modified.

  Parameters:
    `lastModified` - The date, according to Amazon S3, at which this object was last modified.

### getOwner

    public Owner getOwner()

  Returns the owner of this object, or null if the requester doesn't have `Permission.ReadAcp` permission for this object (or own the bucket in which it resides) and therefore doesn't have permission to see object ownership.

  Returns:
    The owner of this object, or null if the requester doesn't have permission to see object ownership.

### setOwner

    public void setOwner(Owner owner)

  Sets the owner of this object.

  Parameters:
    `owner` - The owner of this object.

### getStorageClass

    public String getStorageClass()

  Returns the type of storage used by Amazon S3 for this object.

  Returns:
    The type of storage used by Amazon S3 for this object.

### setStorageClass

    public void setStorageClass(String storageClass)

  Sets the type of storage used by Amazon S3 for this object.

  Parameters:
    `storageClass` - The type of storage used by Amazon S3 for this object.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.